/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package javacgc;

import java.util.ArrayList;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Cinta
 */
public class ProductoTest {
    CCorriente c;
    public ProductoTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
    }

    @Before
    public void setUp() {
        c=new CCorriente();
        c.ingresoReintegro(100.0);
    }

    @After
    public void tearDown() {
    }

    /**
     * Test of getMovimiento method, of class Producto.
     */
    @Test
    public void testGetMovimiento() {
    }

    /**
     * Test of setMovimiento method, of class Producto.
     */
    @Test
    public void testSetMovimiento() {

    }

    /**
     * Test of getNombreTitular method, of class Producto.
     */
    @Test
    public void testGetNombreTitular() {

    }

    /**
     * Test of setNombreTitular method, of class Producto.
     */
    @Test
    public void testSetNombreTitular() {

    }

    /**
     * Test of getNumeroProducto method, of class Producto.
     */
    @Test
    public void testGetNumeroProducto() {

    }

    /**
     * Test of setNumeroProducto method, of class Producto.
     */
    @Test
    public void testSetNumeroProducto() {

    }

    /**
     * Test of getSaldo method, of class Producto.
     */
    @Test
    public void testGetSaldo() {

    }

    /**
     * Test of insertaMovimientoenCuenta method, of class Producto.
     */
    @Test
    public void testInsertaMovimientoenCuenta() {

    }

    /**
     * Test of addOpBasica method, of class Producto.
     */
    @Test
    public void testAddOpBasica() {

    }

    /**
     * Test of ingresoReintegro method, of class Producto.
     */
    @Test
    public void testIngresoReintegro() {
        c.ingresoReintegro(-50.00);
        assertTrue(c.getSaldo()==50);

        c.ingresoReintegro(-60.00);
        assertTrue(c.getSaldo()==50);

        c.ingresoReintegro(-50.00);
        assertTrue(c.getSaldo()==0);

        c.ingresoReintegro(150.00);
        assertTrue(c.getSaldo()==150);

        c.ingresoReintegro(-10.00);
        assertTrue(c.getSaldo()==140);
    }

    /**
     * Test of getMTitulares method, of class Producto.
     */
    @Test
    public void testGetMTitulares() {
    }

    /**
     * Test of setMTitulares method, of class Producto.
     */
    @Test
    public void testSetMTitulares() {
    }

    /**
     * Test of insertaTitularenProducto method, of class Producto.
     */
    @Test
    public void testInsertaTitularenProducto() {
    }

    /**
     * Test of getDomiciliacion method, of class Producto.
     */
    @Test
    public void testGetDomiciliacion() {
    }

    /**
     * Test of setDomiciliacion method, of class Producto.
     */
    @Test
    public void testSetDomiciliacion() {
    }

    /**
     * Test of buscarDomic method, of class Producto.
     */
    @Test
    public void testBuscarDomic() {
    }

    /**
     * Test of addOpTransferencia method, of class Producto.
     */
    @Test
    public void testAddOpTransferencia() {
    }

    /**
     * Test of insertardomic method, of class Producto.
     */
    @Test
    public void testInsertardomic() {
    }

    /**
     * Test of buscarMovs method, of class Producto.
     */
    @Test
    public void testBuscarMovs() {
    }

    /**
     * Test of buscarMov method, of class Producto.
     */
    @Test
    public void testBuscarMov() {
    }

}